import { useFetchJson } from "@/composable/useFetchJson";
import type { MenuItem, Route } from "@/types/menu";
import { ref } from "vue";
import { settings } from "./settings";


const categoryId = ref()

export const getMenu = async () => {
    if(!categoryId.value){
        categoryId.value = settings['app'].category_tree_root_id
    }
    const resp = await useFetchJson<MenuItem>(`/api/v1/restricted/menu/get-category-tree?root_category_id=${categoryId.value}`);
    return resp.items.children
}

export const getRoutes = async () => {
    const resp = await useFetchJson<Route[]>('/api/v1/public/menu/get-routes');

    return resp.items
}